=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES dunemodules.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)
