=== debian/changelog ===
dune-common (2.9.0-6) unstable; urgency=medium

  * patches: fix: use values that are representable as double in test.
    This should fix the test failure on i386.
    + new patch: 0002-fix-use-values-that-are-representable-as-double-in-t.patch

 -- Ansgar <ansgar@debian.org>  Tue, 26 Dec 2023 19:41:53 +0100

dune-common (2.9.0-5) unstable; urgency=medium

  * patches: fix: use values that are representable as double in test.
    This should fix the build failure on i386.
    + new patch: 0001-fix-use-values-that-are-representable-as-double-in-t.patch

 -- Ansgar <ansgar@debian.org>  Tue, 26 Dec 2023 15:52:42 +0100

dune-common (2.9.0-4) unstable; urgency=medium

  * Team upload
  * Replace libatlas-base-dev by libblas-dev | libblas.so in (Build-)Depends
    (Closes: #1056669)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Dec 2023 15:55:58 +0100

dune-common (2.9.0-3) unstable; urgency=medium

  * d/patches: Backported upstream GCC-13 compile fix
      (Closes: #1037630)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 13 Jul 2023 08:20:17 +0200

dune-common (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: Prevent build-path from appearing in downstream DUNE modules
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 16:39:41 +0100

dune-common (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/patches: Prevent file-references-package-build-path lintian warning
  * d/upstream: Added upstream metadata file.
  * d/get-orig-source: Adapted to removed dune-grid/amiramesh directory.
  * d/patches: Refreshed patches and fixed dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 21:52:09 +0100

dune-common (2.8.0-4) unstable; urgency=medium

  * Team upload.

  [ Markus Blatt ]
  * FindMETIS.cmake: Also search for libscotchmetisv5 and libscotchmetisv3
      (Closes: #1007823, #1007830, #1007930)

  [ Drew Parsons ]
  * apply FindMETis.cmake patch in debian patch findmetis_scotch7.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Mar 2022 13:10:34 +0100
