=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 4.6.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-common
Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libblas-dev | libblas.so, liblapack-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
Rules-Requires-Root: no

Package: libdune-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
 libblas-dev | libblas.so, liblapack-dev
Recommends: python3
Suggests: libdune-common-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.
