## dune-common 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,13 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project(dune-common LANGUAGES C CXX)
+
+# CMake 3.29.1 is incompatible as it removed PACKAGE_PREFIX_DIR
+if (CMAKE_VERSION VERSION_EQUAL 3.29.1)
+  message(FATAL_ERROR "CMake 3.29.1 is not compatible with Dune. Use a different CMake version.")
+endif()
 
 # make sure our own modules are found
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
@@ -13,8 +18,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
-# Create the module library for dune-common
-dune_add_library(dunecommon)
+# Create a target for dune-common with a Dune::Common alias
+dune_add_library(dunecommon EXPORT_NAME Common NAMESPACE Dune::)
+
+# minimal c++ standard required
+target_compile_features(dunecommon PUBLIC cxx_std_17)
 
 # Set properties to the dunecommon target
 add_dune_blas_lapack_flags(dunecommon)
