=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(FindPkgConfig)
@@ -20,7 +20,6 @@
   CMakeBuiltinFunctionsDocumentation.cmake
   DuneAddLibrary.cmake
   DuneAddPybind11Module.cmake
-  DuneCMakeCompat.cmake
   DuneCommonMacros.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
@@ -32,9 +31,9 @@
   DuneModuleInformation.cmake
   DunePathHelper.cmake
   DunePkgConfig.cmake
+  DunePolicy.cmake
   DuneProject.cmake
   DunePythonCommonMacros.cmake
-  DunePythonDeprecations.cmake
   DunePythonFindPackage.cmake
   DunePythonInstallPackage.cmake
   DunePythonTestCommand.cmake
