=== cmake/scripts/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 # Install non-executable scripts
@@ -23,5 +23,6 @@
 install(PROGRAMS
   extract_cmake_data.py
   run-in-dune-env.sh.in
+  set-dune-pythonpath.sh.in
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts
 )
