=== debian/changelog ===
dune-common (2.10.0-5) unstable; urgency=medium

  * Backported Quadmath fix for ppc64el IEEE long double from upstream
     (Closes: 1114003)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 15 Sep 2025 07:59:28 +0200

dune-common (2.10.0-4) unstable; urgency=medium

  * Revert "Allow running mpirun as root in autopkgtest"

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 22 Nov 2024 15:28:16 +0100

dune-common (2.10.0-3) unstable; urgency=medium

  * d/patches: Fix duneproject patch treating opm-simulator as alias.
  * d/patches: Do not judge installation status of module only with pkgconf
  * d/patches: Only set CMakes module_DIR variable if there are config files
  * Allow running mpirun as root in autopkgtest

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 21 Nov 2024 13:47:35 +0100

dune-common (2.10.0-2) unstable; urgency=medium

  * d/patches: Treat opm-models as alias for opm-simulators in duneproject

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 18 Nov 2024 10:44:33 +0100

dune-common (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10
  * d/patches: Fix installation path for *.pc and
     *-config.cmake for header-only modules

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 18:22:14 +0100

dune-common (2.10~pre20241004-2) experimental; urgency=medium

  * d/patches: Fix installation path for *.pc and
     *-config.cmake for header-only modules
  * Added a debian/watch file.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Oct 2024 22:30:17 +0200

dune-common (2.10~pre20241004-1) experimental; urgency=medium

  * New snapshot for upcoming release 2.10
  * Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Oct 2024 19:44:49 +0200

dune-common (2.9.0-8) unstable; urgency=medium

  * d/dune-debian.env: Use new OpenMPI 5 environment variables
      to allow oversubscription and set the SSH agent. Closes: #1086864

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 07 Nov 2024 16:59:08 +0100

dune-common (2.9.0-7) unstable; urgency=medium

  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 10 Oct 2024 16:59:54 +0200
