=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-common
 Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
  libblas-dev | libblas.so, liblapack-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf,
  libblas-dev | libblas.so, liblapack-dev
 Recommends: python3
 Suggests: libdune-common-doc (= ${source:Version})
