=== cmake/test/dune_policy/project1/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.16)
project(_project1 VERSION 0.1)

include(DunePolicy)
dune_set_policy(_DP000X NEW)
