=== debian/changelog ===
dune-common (2.11.0~git20251211-3) experimental; urgency=medium

  * d/patches: Force parameter 5 of eigenValuesNonsymLapackCall to make
      sense

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 10:55:55 +0100

dune-common (2.11.0~git20251211-2) experimental; urgency=medium

  * Fix installation location for pkg-config file for libless modules

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 11:59:57 +0100

dune-common (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/get-orig-source: Changed version for snapshots to have git in them.
  * d/patches: Use full path to install doxygen files.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 10:40:29 +0100

dune-common (2.10.0-6) unstable; urgency=medium

  * Make sure we find scotch 7.0 when looking for ParMETIS.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 07 Dec 2025 17:19:24 +0100
