=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 add_subdirectory(modules)
 add_subdirectory(scripts)
+add_subdirectory(test)
