=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   DuneAddLibrary.cmake
   DuneAddPybind11Module.cmake
   DuneCommonMacros.cmake
+  DuneDefaultIncludeDirectories.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
   DuneEnableAllPackages.cmake
