=== dune/common/concepts/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  container.hh
  hashable.hh
  number.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/concepts)
