=== debian/changelog ===
dune-common (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * d/watch: Strip v before version from tarball name
  * Added gbp.conf for dep-14 branch conventions
  * Added salsa yaml file
  * Cleanup gbp.conf.
  * Allow passing options to ctest.
  * Fix installation location for pkg-config file for libless modules
  * d/get-orig-source: Changed version for snapshots to have git in them.
  * d/patches: Use full path to install doxygen files.
  * Updated debian/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 15:44:21 +0100

dune-common (2.11.0-1~exp2) experimental; urgency=medium

  * Added salsa yaml file
  * Cleanup gbp.conf.
  * Allow passing options to ctest.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 29 Jan 2026 15:37:34 +0100

dune-common (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * d/watch: Strip v before version from tarball name
  * Added gbp.conf for dep-14 branch conventions
  * Updated changelog

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 12:50:59 +0100
