=== debian/watch ===
version=4
opts="filenamemangle=s%.*@PACKAGE@-v?@ANY_VERSION@\.(.*)\.bz2.*%@PACKAGE@-$1.$2\.bz2%,searchmode=plain" \
 https://gitlab.dune-project.org/core/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
